-module(fib).

% Exports both functions, now both can be called as fib:main() and
% fib:fibonacci(X).
-export([main/0, fibonacci/1]).

%%% Just different ways to pattern match in Erlang
fibonacci(N) when N < 1 ->
    0;
fibonacci(1) ->
    1;
fibonacci(N) ->
    fibonacci(N - 1) + fibonacci(N - 2).

main() ->
    fibonacci(20).
